#version 330 core
  
layout(location=0) in vec2 vVertex; //współrzędne wierzchołka w przestrzeni obiektu

//wyjście shadera wierzchołków
smooth out vec2 vUV;	//współrzędne tekstury
void main()
{    
	//położenie w przestrzeni przycięcia
	gl_Position = vec4(vVertex*2.0-1,0,1);	 

	//współrzędne w przestrzeni obiektu jako współrzędne tekstury
	vUV = vVertex;
}